Bug 1615162 - Review Request: openarc - An open source library and milter for providing ARC service
Summary: Review Request: openarc - An open source library and milter for providing ARC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-12 21:17 UTC by Matt Domsch
Modified: 2018-09-06 01:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 04:53:07 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Matt Domsch 2018-08-12 21:17:49 UTC
Spec URL: https://domsch.com/fedora/openarc/openarc.spec
SRPM URL: https://domsch.com/fedora/openarc/openarc-1.0.0-0.1.Beta0.fc28.src.rpm
Description: <The Trusted Domain Project is a community effort to develop and maintain a C library for producing ARC-aware applications and an open source milter for providing ARC service through milter-enabled MTAs.


Fedora Account System Username: mdomsch

https://github.com/trusteddomainproject/OpenARC github homepage

ARC is a technology proposal, put forward by a consortium of organizations,
intended to allow a chain of message handlers (typically email operators)
to confirm handling by trusted upstream handlers in an attempt to confirm
the valid use of certain identifiers in the message.

ARC is still experimental, and its specification may change.  This package
is intended for use by operators willing to take part in the experiment and
provide their feedback to the development team.

"milter" is a portmanteau of "mail filter" and refers to a protocol and API
for communicating mail traffic information between MTAs and mail filtering
plug-in applications.  It was originally invented at Sendmail, Inc. but
has also been adapted to other MTAs.

A substantial amount of the code here is based on code developed as part of
The OpenDKIM Project, also a TDP activity, which started as a code fork of
version 2.8.3 of the open source "dkim-milter" package developed and
maintained by Sendmail, Inc.  The license used by The OpenDKIM Project is
found in the LICENSE file.  Portions of this project are also covered by the
Sendmail Open Source License, available in this distribution in the file
"LICENSE.Sendmail".  See the copyright notice(s) in each source file to
determine whether or not it is covered by both licenses.

This package consists of a library that implements the ARC service and a
milter-based filter application that can plug in to any milter-aware MTA to
provide that service to sufficiently recent sendmail, Postfix or other MTAs
that support the milter protocol.

Comment 1 R P Herrold 2018-08-13 14:54:35 UTC
rpmlint notices:

# -- rpmlint starts -- 
rpmlint version 1.5 Copyright (C) 1999-2007 Frederic Lepied, Mandriva
openarc.src:82: W: macro-in-comment %{_docdir}
openarc.src:82: W: macro-in-comment %{name}
openarc.src:82: W: macro-in-comment %{version}
openarc.src:90: W: macro-in-comment %{_sysconfdir}
openarc.src:91: W: macro-in-comment %{_sysconfdir}
openarc.src:95: W: macro-in-comment %{_sysconfdir}
openarc.src: W: patch-not-applied Patch0: 0001-openarc-header-leading-space.patch
openarc.src: W: invalid-url Source0: %{URL}/archive/v1.0.0.Beta0.tar.gz

and I guess one is not supposed to use a URL expansion in a Source reference, from what it ways

[herrold@centos-7 openarc]$ grep -i url openarc.spec
URL: https://github.com/trusteddomainproject/OpenARC
Source0: %{URL}/archive/v%{version}%{?pre_rel:.%pre_rel}.tar.gz
[herrold@centos-7 openarc]$

Comment 2 Matt Domsch 2018-08-14 05:13:37 UTC
You're right, it's not expanded.  I've adjusted the spec to remove the need for expansion and reposted the package and spec at https://domsch.com/fedora/openarc/


$ rpmlint /var/lib/mock/epel-7-x86_64/result/*.rpm SPECS/openarc.spec
libopenarc.x86_64: W: no-documentation
libopenarc-devel.x86_64: W: no-documentation
openarc.src:82: W: macro-in-comment %{_docdir}
openarc.src:82: W: macro-in-comment %{name}
openarc.src:82: W: macro-in-comment %{version}
openarc.src:90: W: macro-in-comment %{_sysconfdir}
openarc.src:91: W: macro-in-comment %{_sysconfdir}
openarc.src:95: W: macro-in-comment %{_sysconfdir}
openarc.x86_64: W: only-non-binary-in-usr-lib (tmpfiles.d file is OK)
SPECS/openarc.spec:82: W: macro-in-comment %{_docdir}
SPECS/openarc.spec:82: W: macro-in-comment %{name}
SPECS/openarc.spec:82: W: macro-in-comment %{version}
SPECS/openarc.spec:90: W: macro-in-comment %{_sysconfdir}
SPECS/openarc.spec:91: W: macro-in-comment %{_sysconfdir}
SPECS/openarc.spec:95: W: macro-in-comment %{_sysconfdir}
5 packages and 1 specfiles checked; 0 errors, 15 warnings.

Comment 3 Robert-André Mauchin 🐧 2018-08-14 15:27:01 UTC
 - make %{?_smp_mflags} → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - Do not glob the major soname version to avoid accidental soname bump:

%{_libdir}/*.so.*

 - libopenarc-devel depends on libopenarc so it's not necessary to reinclude the licenses here:

%files -n libopenarc-devel
%license LICENSE LICENSE.Sendmail

 - Add gcc as a BR.

 - There's an obsolete m4 macros, patch it out.

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: OpenARC-1.0.0.Beta0/configure.ac:66

   Replace it with LT_INIT.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "BSD (2 clause)", "BSD (unspecified)", "Unknown or
     generated". 60 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/openarc/review-
     openarc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libopenarc , openarc-debuginfo , openarc-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openarc-1.0.0-0.1.Beta0.fc29.x86_64.rpm
          libopenarc-1.0.0-0.1.Beta0.fc29.x86_64.rpm
          libopenarc-devel-1.0.0-0.1.Beta0.fc29.x86_64.rpm
          openarc-debuginfo-1.0.0-0.1.Beta0.fc29.x86_64.rpm
          openarc-debugsource-1.0.0-0.1.Beta0.fc29.x86_64.rpm
          openarc-1.0.0-0.1.Beta0.fc29.src.rpm
openarc.x86_64: W: spelling-error Summary(en_US) milter -> molter, miler, miter
openarc.x86_64: W: spelling-error %description -l en_US milter -> molter, miler, miter
libopenarc.x86_64: W: no-documentation
libopenarc-devel.x86_64: W: no-documentation
openarc.src: W: spelling-error Summary(en_US) milter -> molter, miler, miter
openarc.src: W: spelling-error %description -l en_US milter -> molter, miler, miter
openarc.src:82: W: macro-in-comment %{_docdir}
openarc.src:82: W: macro-in-comment %{name}
openarc.src:82: W: macro-in-comment %{version}
openarc.src:90: W: macro-in-comment %{_sysconfdir}
openarc.src:91: W: macro-in-comment %{_sysconfdir}
openarc.src:95: W: macro-in-comment %{_sysconfdir}
6 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 4 Matt Domsch 2018-08-15 22:09:31 UTC
Updated spec posted at above URL with all requested changes made.

Comment 5 Robert-André Mauchin 🐧 2018-08-16 12:44:45 UTC
Looks good to me, package approved.

Comment 6 Gwyn Ciesla 2018-08-16 14:43:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/openarc

Comment 7 Fedora Update System 2018-08-16 15:39:45 UTC
openarc-1.0.0-0.1.Beta0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4dfe84084d

Comment 8 Fedora Update System 2018-08-16 15:57:08 UTC
openarc-1.0.0-0.1.Beta0.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-81bb24fe00

Comment 9 Fedora Update System 2018-08-17 15:35:27 UTC
openarc-1.0.0-0.1.Beta0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4dfe84084d

Comment 10 Fedora Update System 2018-08-17 15:55:46 UTC
openarc-1.0.0-0.1.Beta0.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-81bb24fe00

Comment 11 Fedora Update System 2018-08-30 04:53:07 UTC
openarc-1.0.0-0.1.Beta0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-09-06 01:00:36 UTC
openarc-1.0.0-0.1.Beta0.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.